<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\goods;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\goods\GoodsLists;
use app\adminapi\logic\goods\GoodsLogic;
use app\adminapi\validate\goods\GoodsValidate;


/**
 * Goods控制器
 * Class GoodsController
 * @package app\adminapi\controller\goods
 */
class GoodsController extends BaseAdminController
{


    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/07 18:37
     */
    public function lists()
    {
        return $this->dataLists(new GoodsLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/07 18:37
     */
    public function add()
    {
        $params = (new GoodsValidate())->post()->goCheck('add');
        $result = GoodsLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(GoodsLogic::getError());
    }


    /**
     * @notes 编辑
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/07 18:37
     */
    public function edit()
    {
        $params = (new GoodsValidate())->post()->goCheck('edit');
        $result = GoodsLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(GoodsLogic::getError());
    }


    /**
     * @notes 删除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/07 18:37
     */
    public function delete()
    {
        $params = (new GoodsValidate())->post()->goCheck('delete');
        GoodsLogic::delete($params);
        return $this->success('删除成功', [], 1, 1);
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/07 18:37
     */
    public function detail()
    {
        $params = (new GoodsValidate())->goCheck('detail');
        $result = GoodsLogic::detail($params);
        return $this->data($result);
    }

    public function rulesBatch()
    {
        $params = (new GoodsValidate())->post()->goCheck('rules');
        $result = GoodsLogic::rulesBatch($params);
        if (true === $result) {
            return $this->success('批量配置成功', [], 1, 1);
        }
        return $this->fail(GoodsLogic::getError());
    }
}